<?php

namespace Drupal\monarch_migration\Plugin\MigrationMapper;

use Drupal\migrate\Row;

/**
 * Maps fields.
 *
 * @MigrationMapper(
 *   id = "monarch_migration_create_paragraph",
 *   migration = "create_paragraph",
 *   weight = -9999,
 * )
 */
class CreateParagraph extends MigrationMapperBase {

  /**
   * {@inheritdoc}
   */
  public function processRow(Row $row) {
    $source = $row->getSource();

    foreach ($source as $key => $value) {
      $row->setDestinationProperty($key, $value);
    }
  }

}
